Skip to main content
Read pod logs through the connected Kubernetes agent
curl --request GET \
  --url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/kubernetes-clusters/{clusterId}/pods/{namespace}/{podName}/logs \
  --cookie acornops_cp_session=
{
  "name": "<string>",
  "namespace": "<string>",
  "logs": "<string>",
  "fetchedAt": "2023-11-07T05:31:56Z",
  "container": "<string>",
  "tailLines": 123,
  "previous": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

clusterId
string<uuid>
required
Example:

"5b006e4c-509c-458a-9f02-5aafbdc01ade"

namespace
string
required
Example:

"default"

podName
string
required
Example:

"web-7d9f6db7d5-z2mwr"

Query Parameters

container
string
Example:

"web"

tailLines
integer
default:200
Required range: 1 <= x <= 5000
previous
boolean
default:false
sinceSeconds
integer
Required range: x >= 1
limitBytes
integer
default:1048576
Required range: 1 <= x <= 10485760

Response

Pod logs payload.

name
string
required
namespace
string
required
logs
string
required
fetchedAt
string<date-time>
required
container
string
tailLines
integer
previous
boolean